import CommentStore from './../stores/comment.js'
import path from 'path'

/**
 *  post
 *
 *  @author Björn Hase <me@herr-hase.wtf>
 *  @license http://opensource.org/licenses/MIT The MIT License
 *  @link https://gitea.node001.net/HerrHase/super-fastify-directus.git
 *
 */

export default async function(fastify, opts) {

    /**
     *  handle single post
     *
     *  @param  {object} request
     *  @param  {object} response
     *
     */
    fastify.post('/', async function(request, response) {

        const commentStore = new CommentStore()

        const comment = await commentStore.post({
            'belongs_to' : {
                'collection'    : request.body.collection,
                'collection_id' : request.body.uuid
            },
            'name'       : request.body.name,
            'content'    : request.body.content
        })

    })
}