import DirectusAbstractStore from './DirectusAbstract.js'

/**
 *  Comments
 *
 *
 */

class CommentStore extends DirectusAbstractStore {

    /**
     *
     *
     *  @param  {string} endpoint
     *
     */
    constructor() {
        super('comments')
    }

    /**
     *  getting page by permalink
     *
     *  @param  {string} permalink
     *  @return {object}
     */
    find(page, uuid, limit = 20) {
        return this.items.readByQuery({
            fields: [
                'name',
                'content',
                'approved',
                'belongs_to.comments_id'
            ],
            filter: {
                approved   : true,
                belongs_to : {
                    comments_id: uuid
                }
            },
            limit  : limit,
            offset : ((page - 1) * limit)
        })
    }

}

export default PageStore